JavaScript
import Antimetal from '@antimetal/sdk';
const client = new Antimetal({
apiKey: process.env['ANTIMETAL_API_KEY'], // This is the default and can be omitted
});
const artifacts = await client.artifacts.list({ id: ['string'] });
console.log(artifacts);curl --request GET \
--url https://bff.antimetal.com/api/v2/artifacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://bff.antimetal.com/api/v2/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
[
{
"id": "<string>",
"provider": "datadog",
"providerUrl": "<string>",
"summary": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "metric",
"data": {
"metricType": "gauge",
"name": "<string>",
"description": "<string>",
"unit": "<string>",
"dataPoints": [
{
"attributes": [
{
"key": "<string>",
"value": {
"stringValue": "<string>",
"boolValue": true,
"intValue": "<string>",
"doubleValue": 123,
"arrayValue": {
"values": "<array>"
},
"kvlistValue": {
"values": "<array>"
},
"bytesValue": "<string>"
}
}
],
"startTimeUnixNano": "<string>",
"timeUnixNano": "<string>",
"asDouble": 123,
"asInt": "<string>",
"exemplars": [
{
"filteredAttributes": [
{
"key": "<string>",
"value": {
"stringValue": "<string>",
"boolValue": true,
"intValue": "<string>",
"doubleValue": 123,
"arrayValue": {
"values": "<array>"
},
"kvlistValue": {
"values": "<array>"
},
"bytesValue": "<string>"
}
}
],
"timeUnixNano": "<string>",
"asDouble": 123,
"asInt": "<string>",
"spanId": "<string>",
"traceId": "<string>"
}
],
"flags": 123
}
]
}
}
]{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Artifacts
Retrieve artifacts by IDs
Fetches multiple evidential artifacts by their IDs. Supports up to 100 IDs per request.
GET
/
artifacts
JavaScript
import Antimetal from '@antimetal/sdk';
const client = new Antimetal({
apiKey: process.env['ANTIMETAL_API_KEY'], // This is the default and can be omitted
});
const artifacts = await client.artifacts.list({ id: ['string'] });
console.log(artifacts);Authorizations
API key authentication via Bearer token
Headers
The API version to use. Defaults to the latest stable version if omitted. Pin to the version string in this document's info.version field to opt into exactly this version's schema.
Example:
"2026-03-17"
Query Parameters
Artifact IDs to retrieve (can be specified multiple times: ?id=foo&id=bar)
Maximum array length:
100Example:
"art_123"
Response
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Available options:
datadog, github, slack, antimetal, sentry, kubernetes, incident-io, prometheus, grafana-tempo, loki, gcp, cloudwatch, user Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Available options:
metric - Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes